package com.rjconsultores.ventaboletos.vo.conftotem;

import com.rjconsultores.ventaboletos.entidad.Parada;

public class ConfTotemVentaRapidaVO {

	private Parada origem;
	private Parada destino;

	public Parada getOrigem() {
		return origem;
	}

	public void setOrigem(Parada origem) {
		this.origem = origem;
	}

	public Parada getDestino() {
		return destino;
	}

	public void setDestino(Parada destino) {
		this.destino = destino;
	}
	public ConfTotemVentaRapidaVO() {
		super();
	}
	
	public ConfTotemVentaRapidaVO(Parada origem ,Parada destino) {
		super();
		this.origem = origem;
		this.destino = destino;
	}

	@Override
	public int hashCode() {
		final int prime = 31;
		int result = 1;
		result = prime * result + ((destino == null) ? 0 : destino.hashCode());
		result = prime * result + ((origem == null) ? 0 : origem.hashCode());
		return result;
	}

	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		ConfTotemVentaRapidaVO other = (ConfTotemVentaRapidaVO) obj;
		if (destino == null) {
			if (other.destino != null)
				return false;
		} else if (!destino.equals(other.destino))
			return false;
		if (origem == null) {
			if (other.origem != null)
				return false;
		} else if (!origem.equals(other.origem))
			return false;
		return true;
	}


}
